.products {
  margin-bottom: 23px;
  // .products__container
  &__container {
    display: flex;
  }
  // .products__category
  &__category {
    width: 260px;
    min-width: 260px;
    margin-right: 30px;
    margin-bottom: 30px;
  }
  // .products__list
  &__list {
    display: flex;
    justify-content: center;
    width: -webkit-fill-available;
  }
  // .products__top
  &__top {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
  }
  // .products__top-title
  &__top-title {
    font-family: 'Poppins Light';
    font-size: 20px;
    line-height: 30px;
    color: #000;
    margin-bottom: 10px;
    @media (max-width: $md2) {
      width: 100%;
      font-size: 16px;
      line-height: 25px;
    }
  }
  // .products__top-see-all
  &__top-see-all {
    margin-bottom: 40px;

    a {
      width: fit-content;
      display: block;
      font-family: 'Poppins SemiBold';
      font-size: 14px;
      line-height: 21px;
      text-transform: uppercase;
      color: #000000;
      padding: 14px 25px;
      border: 1px solid #d8d8d8;
      border-radius: 16px;
      background-color: #fff;
    }
    @media (max-width: $md2) {
      width: 100%;
      display: flex;
      justify-content: flex-end;
      a {
        font-size: 12px;
        line-height: 18px;
        color: #000000;
        padding: 10px 20px;
        border-radius: 12px;
      }
    }
  }
  @media (max-width: 859px) {
    &__container {
      flex-direction: column;
    }
    &__category {
      width: 100%;
      min-width: 100%;
      margin-right: 0;
    }
  }
}
.p-category {
  // .p-category__title
  &__title {
    width: 100%;
    height: 55px;
    background-color: #fff;
    border: 1px solid #cfdbc5;
    border-radius: 7.5px;
    display: flex;
    align-items: center;
    padding: 0 18px;
    span {
      padding-right: 12px;
    }
    p {
      font-family: 'Poppins SemiBold';
      font-size: 20px;
      line-height: 30px;
      color: #1e371b;
    }
  }
  // .p-category__row
  &__row {
    margin-top: 25px;
    width: 100%;
    border-radius: 4px;
    background-color: #fff;
  }
  // .p-category__column
  &__column {
    &.active,
    &:hover {
      a {
        background-color: #69a03a;
        color: #fff;
      }
    }
    a {
      display: block;
      font-size: 16px;
      line-height: 25px;
      color: #1e371b;
      padding: 9px 20px;
      border-radius: 4px;
      transition: 0.2s;
    }
  }
  @media (min-width: 860px) {
    &__row {
      display: block !important;
    }
  }
  @media (max-width: 859px) {
    &__row {
      display: none;
    }
  }
}

.product {
  display: flex;
  flex-wrap: wrap;
  margin: 0 -20px;
  // .product__item
  &__item {
    width: 255px;
    height: 315px;
    background-color: #fff;
    border: 1px solid #fff;
    border-radius: 10px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 16px;
    margin: 0px 20px 20px 20px;
    position: relative;
  }
  // .product__sale
  &__sale {
    font-family: 'Poppins SemiBold';
    font-size: 12px;
    line-height: 18px;
    color: #fff;
    padding: 6px 11px;
    background-color: #ff0000;
    height: fit-content;
    width: fit-content;
    border-radius: 40px;
    position: absolute;
    top: 11px;
    left: 10px;
  }
  // .product__like
  &__like {
    position: absolute;
    right: 16px;
    top: 16px;
    z-index: 1;
  }
  // .product__img
  &__img {
    margin-top: 24px;
    width: 100%;
    padding: 10px 0px;
    height: 190px;
    display: flex;
    align-items: center;
    justify-content: center;
    img {
      max-width: 100%;
      max-height: 100%;
    }
  }
  // .product__price
  &__price {
    font-family: 'Poppins SemiBold';
    font-size: 18px;
    line-height: 36px;
    color: #212121;
    width: 100px;
  }
  // .product__count
  &__count {
    width: 116px;
    height: 36px;
    display: none !important;
    &.active {
      display: flex !important;
    }
  }
  // .product__go-to-trash
  &__go-to-trash {
    button {
      background-color: transparent;
      img {
        width: 29.125px;
      }
    }
    &.close {
      display: none;
    }
  }
  // .product__name
  &__name {
    width: 100%;
    font-size: 16px;
    line-height: 25px;
    color: #787885;
    margin-top: 4px;
  }

  @media (max-width: 1160px) {
    max-width: 885px;
    &--mini {
      max-width: 590px;
    }
  }
  @media (max-width: 865px) {
    max-width: 590px;
  }
  @media (max-width: 569px) {
    margin: 0 -10px;
    &__item {
      width: calc(50% - 20px);
      height: auto;
      margin: 0 10px 20px 10px;
      padding: 10px;
    }
    &__sale {
      font-size: 10px;
      line-height: 16px;
      padding: 5px 10px;
      border-radius: 30px;
      top: 11px;
      left: 10px;
    }
    &__img {
      height: 140px;
      max-height: 190px;
      padding: 20px 0;
    }
    &__go-to-trash {
      padding-top: 7.5px;
    }
    &__price {
      font-size: 16px;
      line-height: 35px;
      width: 50%;
      padding-right: 5px;
    }
    &__count {
      padding-left: 5px;
      width: 50%;
      height: 35px;
    }
    &__go-to-trash {
      button {
        img {
          width: 20px;
        }
      }
    }
    &__name {
      font-size: 14px;
      line-height: 20px;
      margin-top: 4px;
    }
  }
  @media (max-width: 500px) {
    &__item {
      padding: 12px 8px;
    }
    &__price {
      font-size: 14px;
      line-height: 20px;
      padding: 5px 0;
      width: 40%;
      width: fit-content;
      max-width: 40%;
    }
    &__count {
      padding-left: 3px;
      height: 30px;
      width: 60%;
    }
  }
}

.favorite {
  // .favorite__bred-crumb
  &__bred-crumb {
    margin-top: 5px;
    margin-bottom: 30px;
  }
  // .favorite__products
  &__products {
    margin-bottom: 20px;
  }
}
